# Method: contactGroups.create

- [HTTP request](https://developers.google.com/people/api/rest/v1/contactGroups/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/people/api/rest/v1/contactGroups/create#body.request_body)
  - [JSON representation](https://developers.google.com/people/api/rest/v1/contactGroups/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/people/api/rest/v1/contactGroups/create#body.response_body)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/contactGroups/create#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/contactGroups/create#try-it)

Create a new contact group owned by the authenticated user.

Created contact group names must be unique to the users contact groups. Attempting to create a group with a duplicate name will return a HTTP 409 error.

Mutate requests for the same user should be sent sequentially to avoid increased latency and failures.

### HTTP request

`POST https://people.googleapis.com/v1/contactGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contactGroup": { object (`https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`) }, "readGroupFields": string } ``` |

| Fields ||
|---|---|
| `contactGroup` | ``object (`https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`)`` Required. The contact group to create. |
| `readGroupFields` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. A field mask to restrict which fields on the group are returned. Defaults to `metadata`, `groupType`, and `name` if not set or set to empty. Valid fields are: - clientData - groupType - metadata - name |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/contacts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).